[ANN] Groovy-Eclipse 2.7.2 released

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[ANN] Groovy-Eclipse 2.7.2 released

Andrew Eisenberg
Hi all,

The Groovy-Eclipse team is proud to announce the release of version
2.7.2.  This service refresh provides significant improvements with
the @CompileStatic annotation.  Also, we have upgraded to Groovy
2.0.6.  Other fixes and features are included as well. See all the
details: http://docs.codehaus.org/display/GROOVY/Groovy-Eclipse+2.7.2+New+and+Noteworthy.

You can use the following update sites to install 2.7.2:

For Eclipse 3.8 and 4.2 (Juno):
http://dist.springsource.org/release/GRECLIPSE/e4.2/

For Eclipse 3.7 (Indigo):
http://dist.springsource.org/release/GRECLIPSE/e3.7/

Please send all feedback to this list or on our jira:
http://jira.codehaus.org/browse/GRECLIPSE

Have a great holiday everyone!

Andrew

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Groovy-Eclipse 2.7.2 released

Paul Bennett
I've just installed 2.7.2 and see a strange compilation error that looks like a bug (it didn't happen with 2.7.1). I've reported this separaterly, but for now I need to revert to the 2.7.1 version. I tried using the Eclipse installed software view to revert, but get this:

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.alltests.feature,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.alltests.feature.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.alltests.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.astviews.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codeassist.completion.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codeassist.completion.test.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codebrowsing.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codebrowsing.test.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.core.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.core.test.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.dsl.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.dsl.tests.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.eclipse.feature,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.eclipse.feature.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.junit.test.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.quickfix.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.quickfix.test.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.refactoring.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.refactoring.test.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.tests.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.ui.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.codehaus.groovy.frameworkadapter.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.headless.feature,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.jdt.patch,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.jdt.patch.source,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy17.feature,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy18.feature,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: org.eclipse.update.feature,org.codehaus.groovy20.feature,2.7.1.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.eclipse.jdt.core.source,3.7.3.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.eclipse.jdt.groovy.core.tests.builder.source,3.3.100.xx-20120921-2000-e37RELEASE
No repository found containing: osgi.bundle,org.eclipse.jdt.groovy.core.tests.compiler.source,3.3.100.xx-20120921-2000-e37RELEASE

How can I revert to 2.7.1 ?

Eclipse 3.7, Mac OS X

Begin forwarded message:

From: Andrew Eisenberg <[hidden email]>
Date: December 19, 2012 7:16:55 PM EST
Subject: [groovy-user] [ANN] Groovy-Eclipse 2.7.2 released
Reply-To: [hidden email]

Hi all,

The Groovy-Eclipse team is proud to announce the release of version
2.7.2.  This service refresh provides significant improvements with
the @CompileStatic annotation.  Also, we have upgraded to Groovy
2.0.6.  Other fixes and features are included as well. See all the
details: http://docs.codehaus.org/display/GROOVY/Groovy-Eclipse+2.7.2+New+and+Noteworthy.

You can use the following update sites to install 2.7.2:

For Eclipse 3.8 and 4.2 (Juno):
http://dist.springsource.org/release/GRECLIPSE/e4.2/

For Eclipse 3.7 (Indigo):
http://dist.springsource.org/release/GRECLIPSE/e3.7/

Please send all feedback to this list or on our jira:
http://jira.codehaus.org/browse/GRECLIPSE

Have a great holiday everyone!

Andrew

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

   http://xircles.codehaus.org/manage_email



-pb


Reply | Threaded
Open this post in threaded view
|

Re: [groovy-user] [ANN] Groovy-Eclipse 2.7.2 released

Andrew Eisenberg
In reply to this post by Andrew Eisenberg
You can download this archive and point your p2 installer to the
unzupped archive:

For Eclipse 3.8 and 4.2 (Juno):

http://dist.springsource.org/release/GRECLIPSE/e4.2/archive-2.7.1.xx-20120921-2000-e42RELEASE.zip

For Eclipse 3.7 (Indigo):

http://dist.springsource.org/release/GRECLIPSE/e3.7/archive-2.7.1.xx-20120921-2000-e37RELEASE.zip

Please let me know what the error that you are having is and we will address it.

On Thu, Dec 20, 2012 at 7:40 AM, Paul Bennett <[hidden email]> wrote:

> I've just installed 2.7.2 and see a strange compilation error that looks like a bug (it didn;t happen before). I'll report this separaterly, but for now I need to revert to the 2.7.1 version. I tried using the Eclipse installed software view to revert, but get this:
>
> An error occurred while collecting items to be installed
> session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.alltests.feature,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.alltests.feature.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.alltests.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.astviews.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codeassist.completion.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codeassist.completion.test.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codebrowsing.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codebrowsing.test.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.core.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.core.test.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.dsl.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.dsl.tests.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.eclipse.feature,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.eclipse.feature.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.junit.test.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.quickfix.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.quickfix.test.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.refactoring.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.refactoring.test.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.tests.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.ui.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.codehaus.groovy.frameworkadapter.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.headless.feature,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.jdt.patch,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.jdt.patch.source,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy17.feature,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy18.feature,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: org.eclipse.update.feature,org.codehaus.groovy20.feature,2.7.1.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.eclipse.jdt.core.source,3.7.3.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.eclipse.jdt.groovy.core.tests.builder.source,3.3.100.xx-20120921-2000-e37RELEASE
> No repository found containing: osgi.bundle,org.eclipse.jdt.groovy.core.tests.compiler.source,3.3.100.xx-20120921-2000-e37RELEASE
>
> How can I revert to 2.7.1 ?
>
> Eclipse 3.7, Mac OS X
>
> On Dec 19, 2012, at 7:16 PM, Andrew Eisenberg wrote:
>
>> Hi all,
>>
>> The Groovy-Eclipse team is proud to announce the release of version
>> 2.7.2.  This service refresh provides significant improvements with
>> the @CompileStatic annotation.  Also, we have upgraded to Groovy
>> 2.0.6.  Other fixes and features are included as well. See all the
>> details: http://docs.codehaus.org/display/GROOVY/Groovy-Eclipse+2.7.2+New+and+Noteworthy.
>>
>> You can use the following update sites to install 2.7.2:
>>
>> For Eclipse 3.8 and 4.2 (Juno):
>> http://dist.springsource.org/release/GRECLIPSE/e4.2/
>>
>> For Eclipse 3.7 (Indigo):
>> http://dist.springsource.org/release/GRECLIPSE/e3.7/
>>
>> Please send all feedback to this list or on our jira:
>> http://jira.codehaus.org/browse/GRECLIPSE
>>
>> Have a great holiday everyone!
>>
>> Andrew
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>    http://xircles.codehaus.org/manage_email
>>
>>
>
> -pb
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>     http://xircles.codehaus.org/manage_email
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email